﻿using System;
using System.Drawing;
using HeuristicLab.MainForm.WindowsForms;

namespace HeuristicLab.BenchmarkGenerator {
  public partial class BenchmarkGeneratorForm : MainForm.WindowsForms.MainForm {
    public BenchmarkGeneratorForm() {
      InitializeComponent();
      formulaTextBox.Font = new Font(FontFamily.GenericMonospace, 10);
    }

    public BenchmarkGeneratorForm(Type userInterfaceType)
      : base(userInterfaceType) {
      InitializeComponent();
      formulaTextBox.Font = new Font(FontFamily.GenericMonospace, 10);
    }

    public string FormulaText { get { return formulaTextBox.Text; } }
    public int Samples {
      get { return 0; }
    }
    public ViewHost ViewHost { get { return viewHost1; } }

    public event EventHandler GenerateButtonClicked;
    private void OnGenerateButtonClicked(object sender, EventArgs e) {
      var clicked = GenerateButtonClicked;
      if (clicked != null)
        clicked(sender, e);
    }

    private void generateButton_Click(object sender, EventArgs e) {
      OnGenerateButtonClicked(this, EventArgs.Empty);
    }
  }
}
